Page MenuHomePhabricator

Restore CSS/JS cache clearing hint
Closed, ResolvedPublic

Description

rMW2c74b043568e removed some legacy hooks, and as a side-effect removed the output of the MediaWiki:Clearyourcache message, which was useful hint for new users to tell them how to clear their cache to get their changes to apply. Fortunately, they didn't remove any of the actual messages or styling, so restoring the message output shouldn't be difficult. Should be just a matter of putting this code back somewhere appropriate:

$dir = $this->getContext()->getLanguage()->getDir();
$lang = $this->getContext()->getLanguage()->getHtmlCode();

$outputPage->wrapWikiMsg(
	"<div id='mw-clearyourcache' lang='$lang' dir='$dir' class='mw-content-$dir'>\n$1\n</div>",
	'clearyourcache'
);

Event Timeline

Majr created this task.Apr 9 2018, 2:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2018, 2:42 PM
stjn added a subscriber: stjn.Apr 9 2018, 7:44 PM
Aklapper added a subscriber: Reedy.

CC'ing the author of the patch

Reedy added a comment.Apr 10 2018, 3:03 PM

And the bit in Article.php. Just inline the parts of the function you actually want...

Krinkle moved this task from Backlog to Core on the MW-1.31-release board.Apr 18 2018, 6:08 PM

Change 427585 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/core@REL1_31] Follow-up 2c74b043568e: Restore use of 'clearyourcache' message

https://gerrit.wikimedia.org/r/427585

Change 427586 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/core@REL1_30] Follow-up 2c74b043568e: Restore use of 'clearyourcache' message

https://gerrit.wikimedia.org/r/427586

Change 427416 merged by jenkins-bot:
[mediawiki/core@master] Follow-up 2c74b043568e: Restore use of 'clearyourcache' message

https://gerrit.wikimedia.org/r/427416

Change 427585 merged by jenkins-bot:
[mediawiki/core@REL1_31] Follow-up 2c74b043568e: Restore use of 'clearyourcache' message

https://gerrit.wikimedia.org/r/427585

Change 427586 merged by jenkins-bot:
[mediawiki/core@REL1_30] Follow-up 2c74b043568e: Restore use of 'clearyourcache' message

https://gerrit.wikimedia.org/r/427586